Page MenuHomePhabricator

elementary: add internal Efl_Ui_Model_Exact.
ClosedPublic

Authored by cedric on Jan 16 2019, 6:29 PM.

Details

Summary

This model enable View that require to compute the size of their item
to rely on its logic to store all items size independently. It has the
same interface as the Homogeneous and should be exchangeable for a View.

Depends on D7659

Diff Detail

Repository
rEFL core/efl
Branch
T7382-devs/cedric/homogeneous
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9090
cedric created this revision.Jan 16 2019, 6:29 PM
cedric requested review of this revision.Jan 16 2019, 6:29 PM
segfaultxavi requested changes to this revision.Jan 17 2019, 3:22 AM

Same comments as with Efl.Ui.Model_Homogeneous. Also, please clarify who is parent and child regarding the object implementing this class.

This revision now requires changes to proceed.Jan 17 2019, 3:22 AM
cedric updated this revision to Diff 18580.Jan 17 2019, 4:44 PM
cedric edited the summary of this revision. (Show Details)

Rebase and improve documentation.

segfaultxavi added inline comments.Jan 18 2019, 3:42 AM
src/lib/elementary/efl_ui_model_exact.eo
6

Do not mix $ and quotes. Use only $.

cedric updated this revision to Diff 18637.Jan 18 2019, 12:43 PM

Rebase and fix syntax.

cedric updated this revision to Diff 18771.Jan 23 2019, 2:40 PM

Rebase and improve documentation.

cedric updated this revision to Diff 18818.Jan 24 2019, 3:39 PM

Rebase and fix exact.

cedric updated this revision to Diff 18901.Jan 25 2019, 2:58 PM

Rebase and rename.

segfaultxavi resigned from this revision.Jan 28 2019, 5:49 AM

Docs look good to me. Will handle any outstanding issues in a separate commit.

Resigning as reviewer so somebody else can review the rest of the patch.

SanghyeonLee accepted this revision.EditedJan 29 2019, 2:11 AM

looks good to me.
only about the term exact...
we need to choose one single term,
precise or exact
and using them in model and layouter both.
I can't catch delicate differences between this two word,
so which one do you think correct for explain this feature?

This revision is now accepted and ready to land.Jan 29 2019, 2:11 AM
This revision was automatically updated to reflect the committed changes.